Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfSignature

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfSignature

Direct Known Subclasses:
  PdfSigGenericPKCS

    public class PdfSignature

extends PdfDictionary

Implements the signature dictionary.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PdfSignature(PdfName filter, PdfName subFilter)` Creates new PdfSignature

Method Summary
`void` | `setByteRange(int[] range)`
`void` | `setCert(byte[] cert)`
`void` | `setContact(String name)`
`void` | `setContents(byte[] contents)`
`void` | `setDate(PdfDate date)`
`void` | `setLocation(String name)`
`void` | `setName(String name)`
`void` | `setReason(String name)`

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PdfSignature

    public PdfSignature(PdfName filter,
                        PdfName subFilter)

  Creates new PdfSignature

Method Detail

### setByteRange

    public void setByteRange(int[] range)

### setContents

    public void setContents(byte[] contents)

### setCert

    public void setCert(byte[] cert)

### setName

    public void setName(String name)

### setDate

    public void setDate(PdfDate date)

### setLocation

    public void setLocation(String name)

### setReason

    public void setReason(String name)

### setContact

    public void setContact(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD